> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Llms



## OpenAPI

````yaml get /v1/models/llms
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/models/llms:
    get:
      tags:
        - V1 - Platform
      summary: Get Llms
      operationId: get_llms
      parameters:
        - name: multimodal
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Multimodal
        - name: structured_outputs
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Structured Outputs
        - name: chat
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Chat
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelDefinition'
                title: Response Get Llms
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ModelDefinition:
      properties:
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        model_type:
          type: string
          title: Model Type
        model_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Category
        properties:
          anyOf:
            - $ref: '#/components/schemas/LLMModelProperties'
            - $ref: '#/components/schemas/ModelProperties'
          title: Properties
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        provider_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Id
        provider_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Image
        providers:
          items:
            $ref: '#/components/schemas/ProviderRef'
          type: array
          title: Providers
          default: []
        host:
          anyOf:
            - type: string
            - type: 'null'
          title: Host
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        price:
          anyOf:
            - type: string
            - type: 'null'
          title: Price
        release_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Release Date
        data_cutoff_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Data Cutoff Date
        privacy_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Privacy Level
        visible:
          type: boolean
          title: Visible
          default: true
        is_available:
          type: boolean
          title: Is Available
          default: true
        capabilities:
          items:
            $ref: '#/components/schemas/ModelCapability'
          type: array
          uniqueItems: true
          title: Capabilities
          default: []
        is_active:
          type: boolean
          title: Is Active
          default: true
        provider_is_active:
          type: boolean
          title: Provider Is Active
          default: true
        has_link:
          type: boolean
          title: Has Link
          default: false
        is_valid:
          type: boolean
          title: Is Valid
          default: true
        is_healthy:
          type: boolean
          title: Is Healthy
          default: true
        lifecycle_state:
          type: string
          title: Lifecycle State
          default: healthy
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        consecutive_failures:
          type: integer
          title: Consecutive Failures
          default: 0
        last_checked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Checked At
      type: object
      required:
        - name
        - title
        - model_type
        - properties
      title: ModelDefinition
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LLMModelProperties:
      properties:
        speed:
          type: number
          title: Speed
        quality:
          type: number
          title: Quality
        max_input_tokens:
          type: integer
          title: Max Input Tokens
        max_output_tokens:
          type: integer
          title: Max Output Tokens
        is_multimodal:
          type: boolean
          title: Is Multimodal
          default: false
      type: object
      required:
        - speed
        - quality
        - max_input_tokens
        - max_output_tokens
      title: LLMModelProperties
    ModelProperties:
      properties:
        speed:
          type: number
          title: Speed
        quality:
          type: number
          title: Quality
      type: object
      required:
        - speed
        - quality
      title: ModelProperties
    ProviderRef:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        host:
          anyOf:
            - type: string
            - type: 'null'
          title: Host
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        is_active:
          type: boolean
          title: Is Active
          default: true
        provider_is_active:
          type: boolean
          title: Provider Is Active
          default: true
        qualified_slug:
          type: string
          title: Qualified Slug
      type: object
      required:
        - id
        - name
        - qualified_slug
      title: ProviderRef
      description: >-
        One entry in :pyattr:`ModelDefinition.providers` — describes a single

        no-llm provider that can serve the parent model.


        ``qualified_slug`` is precomputed so the frontend never has to do its
        own

        ``f"{id}:{name}"`` formatting (and so the grammar lives in one place).
    ModelCapability:
      type: string
      enum:
        - streaming
        - function_calling
        - parallel_function_calling
        - vision
        - system_prompt
        - tools
        - json_mode
        - structured_output
        - reasoning
        - web_search
        - audio_in
        - audio_out
        - video_in
        - video_out
        - image_generation
        - document_input
        - spreadsheet_input
      title: ModelCapability
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````